<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
            <title>phpDocumentor</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">phpDocumentor</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="namespaces/inc.html" class="">Inc</a>
</h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/inc-api.html" class="">Api</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-base.html" class="">Base</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-defaultdata.html" class="">DefaultData</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-pages.html" class="">Pages</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSI.html" class="-active">OERSI</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/Application.html" class="">Application</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSi.html" class="">OERSi</a>
</h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
    </ul>

    <article class="phpdocumentor-element -package">
        <h2 class="phpdocumentor-content__title">OERSI</h2>

        

<h3 id="interfaces_class_traits">
    Interfaces, Classes, Traits and Enums
    <a href="#interfaces_class_traits" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
    
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Api-AbstractCallback.html"><abbr title="\Inc\Api\AbstractCallback">AbstractCallback</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Api-RestAPI.html"><abbr title="\Inc\Api\RestAPI">RestAPI</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Api-SettingsApi.html"><abbr title="\Inc\Api\SettingsApi">SettingsApi</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-Activate.html"><abbr title="\Inc\Base\Activate">Activate</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-BaseController.html"><abbr title="\Inc\Base\BaseController">BaseController</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-CustomSection.html"><abbr title="\Inc\Base\CustomSection">CustomSection</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-Deactivate.html"><abbr title="\Inc\Base\Deactivate">Deactivate</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-EnqueueCss.html"><abbr title="\Inc\Base\EnqueueCss">EnqueueCss</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-EnqueueCustomCss.html"><abbr title="\Inc\Base\EnqueueCustomCss">EnqueueCustomCss</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-EnqueueJs.html"><abbr title="\Inc\Base\EnqueueJs">EnqueueJs</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-ExternalAPI.html"><abbr title="\Inc\Base\ExternalAPI">ExternalAPI</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-MetaLinks.html"><abbr title="\Inc\Base\MetaLinks">MetaLinks</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-SettingsLinks.html"><abbr title="\Inc\Base\SettingsLinks">SettingsLinks</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Base-Utils.html"><abbr title="\Inc\Base\Utils">Utils</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-DefaultData-ElasticsSearch.html"><abbr title="\Inc\DefaultData\ElasticsSearch">ElasticsSearch</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-DefaultData-Translation.html"><abbr title="\Inc\DefaultData\Translation">Translation</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Init.html"><abbr title="\Inc\Init">Init</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Configuration-Configuration.html"><abbr title="\Inc\Pages\Configuration\Configuration">Configuration</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html"><abbr title="\Inc\Pages\Configuration\ConfigurationAPI">ConfigurationAPI</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html"><abbr title="\Inc\Pages\Configuration\ConfigurationCallbacks">ConfigurationCallbacks</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-CssOverride-CssOverride.html"><abbr title="\Inc\Pages\CssOverride\CssOverride">CssOverride</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-CssOverride-CssOverrideCallbacks.html"><abbr title="\Inc\Pages\CssOverride\CssOverrideCallbacks">CssOverrideCallbacks</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-CssOverride-CssOverrideRestAPI.html"><abbr title="\Inc\Pages\CssOverride\CssOverrideRestAPI">CssOverrideRestAPI</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-EduSharing-CollectionApi.html"><abbr title="\Inc\Pages\EduSharing\CollectionApi">CollectionApi</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-ElasticsSearch-ElasticsSearchConfig.html"><abbr title="\Inc\Pages\ElasticsSearch\ElasticsSearchConfig">ElasticsSearchConfig</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-ElasticsSearch-ElasticsSearchConfigCallbacks.html"><abbr title="\Inc\Pages\ElasticsSearch\ElasticsSearchConfigCallbacks">ElasticsSearchConfigCallbacks</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-ElasticsSearch-ElasticsSearchRestAPI.html"><abbr title="\Inc\Pages\ElasticsSearch\ElasticsSearchRestAPI">ElasticsSearchRestAPI</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Translation-LanguageCallBack.html"><abbr title="\Inc\Pages\Translation\LanguageCallBack">LanguageCallBack</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Translation-LanguageConfig.html"><abbr title="\Inc\Pages\Translation\LanguageConfig">LanguageConfig</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Translation-LanguageRestAPI.html"><abbr title="\Inc\Pages\Translation\LanguageRestAPI">LanguageRestAPI</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-ShortCode.html"><abbr title="\Inc\Pages\ShortCode">ShortCode</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Translation-TranslationCallBack.html"><abbr title="\Inc\Pages\Translation\TranslationCallBack">TranslationCallBack</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Translation-TranslationConfig.html"><abbr title="\Inc\Pages\Translation\TranslationConfig">TranslationConfig</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Translation-TranslationRestAPI.html"><abbr title="\Inc\Pages\Translation\TranslationRestAPI">TranslationRestAPI</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Vocabularies-VocabulariesAPI.html"><abbr title="\Inc\Pages\Vocabularies\VocabulariesAPI">VocabulariesAPI</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/Inc-Pages-Vocabularies-VocabulariesAPIParent.html"><abbr title="\Inc\Pages\Vocabularies\VocabulariesAPIParent">VocabulariesAPIParent</abbr></a></dt>
        <dd></dd>
    
    
    </dl>



        

        
    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="packages/OERSI.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
